Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class JBrowsePlugin.PropAccessor

    java.lang.Object
      gnu.jbrowser.JBrowsePlugin.PropAccessor

All Implemented Interfaces:
  PropertyAccessor

Enclosing class:
  JBrowsePlugin

    public static class JBrowsePlugin.PropAccessor

extends java.lang.Object
implements PropertyAccessor

Constructor Summary
`JBrowsePlugin.PropAccessor()`

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Fetches a property, returning null if it's not defined.
`java.lang.String` | `getProperty(java.lang.String name, java.lang.Object[] args)` Returns the property with the specified name, formatting it with the `java.text.MessageFormat.format()` method.
`java.lang.String` | `getProperty(java.lang.String name, java.lang.String def)` Fetches a property, returning the default value if it's not defined.
`java.lang.Object` | `setProperty(java.lang.String name, java.lang.String value)` Sets a property to a new value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBrowsePlugin.PropAccessor

    public JBrowsePlugin.PropAccessor()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Description copied from interface: `PropertyAccessor`
  Fetches a property, returning null if it's not defined.

  Specified by:
    `getProperty` in interface `PropertyAccessor`
  Parameters:
    `name` - The property

### getProperty

    public java.lang.String getProperty(java.lang.String name,
                                        java.lang.String def)

  Description copied from interface: `PropertyAccessor`
  Fetches a property, returning the default value if it's not defined.

  Specified by:
    `getProperty` in interface `PropertyAccessor`
  Parameters:
    `name` - The property
    `def` - The default value

### getProperty

    public java.lang.String getProperty(java.lang.String name,
                                        java.lang.Object[] args)

  Description copied from interface: `PropertyAccessor`
  Returns the property with the specified name, formatting it with the `java.text.MessageFormat.format()` method.

  Specified by:
    `getProperty` in interface `PropertyAccessor`
  Parameters:
    `name` - The property
    `args` - The positional parameters

### setProperty

    public java.lang.Object setProperty(java.lang.String name,
                                        java.lang.String value)

  Description copied from interface: `PropertyAccessor`
  Sets a property to a new value.

  Specified by:
    `setProperty` in interface `PropertyAccessor`
  Parameters:
    `name` - The property
    `value` - The new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.